# GenerateEclipseClasspath

API Documentation: | `GenerateEclipseClasspath`

Generates an Eclipse `.classpath` file. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via `EclipseClasspath`.

### Properties

Property | Description
`classpath` | The Eclipse Classpath model containing the information required to generate the classpath file.
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | The output file to write the final configuration to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `EclipseClasspath` `classpath`

The Eclipse Classpath model containing the information required to generate the classpath file.

Default with `eclipse` plugins:
  `project.eclipse.classpath`

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

The output file to write the final configuration to.